export class Header {
  name: string;
  dashboard: string;
  logoUrl: string;

  constructor(name: string, dashboard: string, logoUrl: string = null) {
    this.name = name;
    this.dashboard = dashboard;
    this.logoUrl = logoUrl
  }
}

export class Item {
  id: string;
  name: string;
  route: string;
  items: Item[];
  icon: string;
  open: boolean;

  constructor(id: string, name: string, route: string, items: Item[], icon, open: boolean) {
    this.id = id;
    this.name = name;
    this.route = route;
    this.items = items;
    this.icon = icon;
    this.open = open;
  }
}

export class Sidebar {
  items: Item[];
  header: Header;

  constructor(items: Item[], header: Header) {
    this.items = items;
    this.header = header;
  }
}
